org.apache.poi.hslf.record

## Class AnimationInfoAtom

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordAtom
    - - org.apache.poi.hslf.record.AnimationInfoAtom

- All Implemented Interfaces:
    GenericRecord

      public final class AnimationInfoAtom
      extends RecordAtom

  An atom record that specifies the animation information for a shape.
  Author:
    Yegor Kozlov

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AnimateBg` whether the background of the shape is animated
    `static int` | `Automatic` whether the animation starts automatically
    `static int` | `Hide` whether the shape is hidden while the animation is not playing
    `static int` | `Play` whether an associated sound, media or action verb is activated when the shape is clicked.
    `static int` | `Reverse` whether the animation plays in the reverse direction
    `static int` | `Sound` whether the animation has an associated sound
    `static int` | `StopSound` whether all playing sounds are stopped when this animation begins
    `static int` | `Synchronous` specifies that the animation, while playing, stops other slide show actions.

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AnimationInfoAtom()` Constructs a brand new link related atom record.
    `protected` | `AnimationInfoAtom(byte[] source, int start, int len)` Constructs the link related atom record from its source data.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDelayTime()` A signed integer that specifies the delay time, in milliseconds, before the animation starts to play.
    `int` | `getDimColor()` A rgb structure that specifies a color for the dim effect after the animation is complete.
    `boolean` | `getFlag(int bit)`
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `int` | `getMask()` A bit mask specifying options for displaying headers and footers
    `int` | `getOrderID()` A signed integer that specifies the order of the animation in the slide.
    `long` | `getRecordType()` Gets the record type.
    `int` | `getSlideCount()` An unsigned integer that specifies the number of slides that this animation continues playing.
    `int` | `getSoundIdRef()` A 4-byte unsigned integer that specifies a reference to a sound in the SoundCollectionContainer record to locate the embedded audio
    `void` | `setDelayTime(int id)` A signed integer that specifies the delay time, in milliseconds, before the animation starts to play.
    `void` | `setDimColor(int rgb)` A rgb structure that specifies a color for the dim effect after the animation is complete.
    `void` | `setFlag(int bit, boolean value)`
    `void` | `setMask(int mask)` A bit mask specifying options for displaying video
    `void` | `setOrderID(int id)` A signed integer that specifies the order of the animation in the slide.
    `void` | `setSlideCount(int id)` An unsigned integer that specifies the number of slides that this animation continues playing.
    `void` | `setSoundIdRef(int id)` A 4-byte unsigned integer that specifies a reference to a sound in the SoundCollectionContainer record to locate the embedded audio
    `java.lang.String` | `toString()`
    `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordAtom

      `getChildRecords, isAnAtom`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### Reverse

          public static final int Reverse

      whether the animation plays in the reverse direction
      See Also:
        Constant Field Values

    - #### Automatic

          public static final int Automatic

      whether the animation starts automatically
      See Also:
        Constant Field Values

    - #### Sound

          public static final int Sound

      whether the animation has an associated sound
      See Also:
        Constant Field Values

    - #### StopSound

          public static final int StopSound

      whether all playing sounds are stopped when this animation begins
      See Also:
        Constant Field Values

    - #### Play

          public static final int Play

      whether an associated sound, media or action verb is activated when the shape is clicked.
      See Also:
        Constant Field Values

    - #### Synchronous

          public static final int Synchronous

      specifies that the animation, while playing, stops other slide show actions.
      See Also:
        Constant Field Values

    - #### Hide

          public static final int Hide

      whether the shape is hidden while the animation is not playing
      See Also:
        Constant Field Values

    - #### AnimateBg

          public static final int AnimateBg

      whether the background of the shape is animated
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AnimationInfoAtom

          protected AnimationInfoAtom()

      Constructs a brand new link related atom record.

    - #### AnimationInfoAtom

          protected AnimationInfoAtom(byte[] source,
                                      int start,
                                      int len)

      Constructs the link related atom record from its source data.
      Parameters:
        `source` - the source data as a byte array.
        `start` - the start offset into the byte array.
        `len` - the length of the slice in the byte array.

  - ### Method Detail

    - #### getRecordType

          public long getRecordType()

      Gets the record type.
      Specified by:
        `getRecordType` in class `Record`
      Returns:
        the record type.

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Write the contents of the record back, so it can be written to disk
      Specified by:
        `writeOut` in class `Record`
      Parameters:
        `out` - the output stream to write to.
      Throws:
        `java.io.IOException` - if an error occurs.

    - #### getDimColor

          public int getDimColor()

      A rgb structure that specifies a color for the dim effect after the animation is complete.
      Returns:
        color for the dim effect after the animation is complete

    - #### setDimColor

          public void setDimColor(int rgb)

      A rgb structure that specifies a color for the dim effect after the animation is complete.
      Parameters:
        `rgb` - color for the dim effect after the animation is complete

    - #### getMask

          public int getMask()

      A bit mask specifying options for displaying headers and footers
      Returns:
        A bit mask specifying options for displaying headers and footers

    - #### setMask

          public void setMask(int mask)

      A bit mask specifying options for displaying video
      Parameters:
        `mask` - A bit mask specifying options for displaying video

    - #### getFlag

          public boolean getFlag(int bit)

      Parameters:
        `bit` - the bit to check
      Returns:
        whether the specified flag is set

    - #### setFlag

          public void setFlag(int bit,
                              boolean value)

      Parameters:
        `bit` - the bit to set
        `value` - whether the specified bit is set

    - #### getSoundIdRef

          public int getSoundIdRef()

      A 4-byte unsigned integer that specifies a reference to a sound in the SoundCollectionContainer record to locate the embedded audio
      Returns:
        reference to a sound

    - #### setSoundIdRef

          public void setSoundIdRef(int id)

      A 4-byte unsigned integer that specifies a reference to a sound in the SoundCollectionContainer record to locate the embedded audio
      Parameters:
        `id` - reference to a sound

    - #### getDelayTime

          public int getDelayTime()

      A signed integer that specifies the delay time, in milliseconds, before the animation starts to play. If `Automatic` is 0x1, this value MUST be greater than or equal to 0; otherwise, this field MUST be ignored.

    - #### setDelayTime

          public void setDelayTime(int id)

      A signed integer that specifies the delay time, in milliseconds, before the animation starts to play. If `Automatic` is 0x1, this value MUST be greater than or equal to 0; otherwise, this field MUST be ignored.

    - #### getOrderID

          public int getOrderID()

      A signed integer that specifies the order of the animation in the slide. It MUST be greater than or equal to -2. The value -2 specifies that this animation follows the order of the corresponding placeholder shape on the main master slide or title master slide. The value -1 SHOULD NOT <105> be used.

    - #### setOrderID

          public void setOrderID(int id)

      A signed integer that specifies the order of the animation in the slide. It MUST be greater than or equal to -2. The value -2 specifies that this animation follows the order of the corresponding placeholder shape on the main master slide or title master slide. The value -1 SHOULD NOT <105> be used.

    - #### getSlideCount

          public int getSlideCount()

      An unsigned integer that specifies the number of slides that this animation continues playing. This field is utilized only in conjunction with media. The value 0xFFFFFFFF specifies that the animation plays for one slide.

    - #### setSlideCount

          public void setSlideCount(int id)

      An unsigned integer that specifies the number of slides that this animation continues playing. This field is utilized only in conjunction with media. The value 0xFFFFFFFF specifies that the animation plays for one slide.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.